### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-gallery/ecl-gallery.component.ts`

### Extends

`EclBaseEvent`

### Index

###### Properties

- Public galleryItem

###### Methods

- preventDefault

### Constructor

`constructor(galleryItem: EclGalleryItem)`

Parameters :

Name | Type | Optional
galleryItem | `EclGalleryItem` | No

### Properties

Public galleryItem
Type : `EclGalleryItem`

### Methods

preventDefault
`preventDefault()`
Returns : `void`

# results matching ""

# No results matching ""